# Webhook endpoints

> Outgoing webhook endpoints, deliveries and tests.

Last updated: 2026-10-25. Source: https://docs.smartchat.marketing/en/api/reference/webhooks/

Outgoing webhook endpoints, deliveries and tests.

| Operation | Call | Permission | Risk |
|---|---|---|---|
| [Create webhook endpoint](https://docs.smartchat.marketing/en/api/reference/webhooks/create_webhook_endpoint/) | `POST /v1/webhook-endpoints` | `webhooks:write` | Write (no outside effect) |
| [List webhook endpoints](https://docs.smartchat.marketing/en/api/reference/webhooks/list_webhook_endpoints/) | `GET /v1/webhook-endpoints` | `webhooks:read` | Read |
| [Get webhook endpoint](https://docs.smartchat.marketing/en/api/reference/webhooks/get_webhook_endpoint/) | `GET /v1/webhook-endpoints/{endpoint_id}` | `webhooks:read` | Read |
| [Update webhook endpoint](https://docs.smartchat.marketing/en/api/reference/webhooks/update_webhook_endpoint/) | `PATCH /v1/webhook-endpoints/{endpoint_id}` | `webhooks:write` | Write (no outside effect) |
| [Unsubscribe webhook endpoint](https://docs.smartchat.marketing/en/api/reference/webhooks/unsubscribe_webhook_endpoint/) | `DELETE /v1/webhook-endpoints/{endpoint_id}` | `webhooks:write` | Write (no outside effect) |
| [Rotate webhook secret](https://docs.smartchat.marketing/en/api/reference/webhooks/rotate_webhook_secret/) | `POST /v1/webhook-endpoints/{endpoint_id}/rotate-secret` | `webhooks:write` | Write (no outside effect) |
| [Enable webhook endpoint](https://docs.smartchat.marketing/en/api/reference/webhooks/enable_webhook_endpoint/) | `POST /v1/webhook-endpoints/{endpoint_id}/enable` | `webhooks:write` | Write (no outside effect) |
| [Test webhook endpoint](https://docs.smartchat.marketing/en/api/reference/webhooks/test_webhook_endpoint/) | `POST /v1/webhook-endpoints/{endpoint_id}/test` | `webhooks:write` | Write (no outside effect) |
| [Replay webhook events](https://docs.smartchat.marketing/en/api/reference/webhooks/replay_webhook_events/) | `POST /v1/webhook-endpoints/{endpoint_id}/replay` | `webhooks:write` | Write (no outside effect) |
| [List webhook deliveries](https://docs.smartchat.marketing/en/api/reference/webhooks/list_webhook_deliveries/) | `GET /v1/webhook-endpoints/{endpoint_id}/deliveries` | `webhooks:read` | Read |
| [Redeliver webhook delivery](https://docs.smartchat.marketing/en/api/reference/webhooks/redeliver_webhook_delivery/) | `POST /v1/webhook-deliveries/{delivery_id}/redeliver` | `webhooks:write` | Write (no outside effect) |
